<h2 id="july-2018">
  July 2018
  <span id="authors">by @Bauke</span>
</h2>

### Open Source

Arguably the most notable highlight of July was the open-sourcing of the code. You can now find the source code in [the GitLab repository](https://gitlab.com/tildes/tildes) and contribute, keep up with the development or create your own version of Tildes entirely. The project is licensed under [the GNU AGPLv3 license](https://gitlab.com/tildes/tildes/blob/master/LICENSE.md), you can find a good summary on [GitHub's choosealicense.com](https://choosealicense.com/licenses/agpl-3.0/).

If you're interested in contributing or just messing around, 2 new documentation pages were added for developing, namely: [Development Setup](https://docs.tildes.net/development-setup) and [Development](https://docs.tildes.net/development). These will get you up and running in no time.

Read more about it [here](https://tild.es/3i4) and [here](https://blog.tildes.net/open-source).

### Links In New Tabs

On July 21st, the first feature contribution was merged, developed by [Ivan Fonseca](https://gitlab.com/ivanfon) better known as @what on Tildes. Allowing you to open external and/or internal links in new tabs. You can find the toggles inside [your settings](https://tildes.net/settings), above the "Change your password" section.

Read more about it [here](https://tild.es/3oi).

### New Groups

July 23rd saw the introduction of 4 new groups, listed below, following [the group requests topic](https://tild.es/342) in the beginning of July.

* ~anime
* ~enviro
* ~humanities
* ~life

Summaries of each group are available in their respective sidebars and in the announcement topic.

Read more about it [here](https://tild.es/3qv).

### Not So Daily Discussions

On the 26th Deimos posted a topic in ~tildes.official titled [Not-so-daily Tildes discussion](https://tild.es/3x9). Outlining what the future of the Daily Discussions will hold. To sum it up, daily discussions will now appear on a more "on-demand" basis. Initially the daily discussions were to boost the site's activity however it's not really needed anymore. Along with the current backlog of plans and previous discussions that need attention first.

Also noted is that there will be a new post each Monday including the general plans for the week, as well as a general feedback/questions/suggestions topic every couple of weeks.

I highly recommend reading [the original topic](https://tild.es/3x9), if you haven't already.
