<h2 id="april-2019">
  April 2019
  <span id="authors">by @Bauke</span>
</h2>

### Notification Behaviour

The [first change this month](https://tild.es/c4t) came on April 7th, making it so that when you interact with a notification (by voting on the comment, for example) it can be automatically marked as read. If you'd rather manually mark all your notifications yourself, this option can be turned off in [your settings](https://tildes.net/settings).

### More Metadata

On April 17th, topics that linked to Youtube videos or Tweets will now show the channel's name or the Twitter username where the domain usually goes. There have been some suggestions for other sites [in the announcement topic](https://tild.es/cfu) that should be included, if you know of any more feel free to leave a comment there.

### Tagging Autocomplete

On the 25th, a [long-awaited feature](https://gitlab.com/tildes/tildes/issues/142) was added and developed by @smores: autocomplete for tags! Now when you're creating a new topic or editing the tags of an existing one, the 100 most commonly used tags (for the group the topic is in) will show up when typing any new tags. You can read more about it [here](https://tild.es/cpl).

### Comment Threading

A little over halfway through April, [the way comments were threaded](https://tild.es/cjg) got changed as an experiment to reduce the amount of indenting any given chain of comments would have, which becomes a problem (especially on mobile) very quickly if you indent once every reply. Direct replies after a certain amount of indentations would receive a "Reply to above comment" just below their header and not be indented. This turned out to be slightly confusing for a lot of people since child comments and siblings would appear on the same indent, so on the 29th [this was changed again](https://tild.es/cv4) to be more responsive and work better. A nice detailed explanation is available in [the announcement topic](https://tild.es/cv4).

### Markdown Preview

A long awaited feature also got merged on the 30th, markdown preview! This came in as [a contribution](https://tild.es/cwh) by @wirelyre. From now on there will be 2 buttons available just above the input box, allowing you to switch between "Edit" and "Preview" mode.

### Small Changes

There were also a number of small changes that I think are worth noting:

* Tags that are the same as the group name will automatically be removed from topics. ([more](https://gitlab.com/tildes/tildes/commit/cefd5a0c5167370b32013e84b7272f4f23ab3b56))
* The topics in the topic listing were made more space-efficient. ([more](https://gitlab.com/tildes/tildes/commit/fb5323e51fc7bb86fbc8df0d7dd856d4e24208ca), [more](https://gitlab.com/tildes/tildes/commit/8572276fc7d8c7eb6f14891451ea636a87c146c1))
* Your filtered tag settings are now separated by newline instead of by comma. ([more](https://gitlab.com/tildes/tildes/commit/61558feea1673606db72229694c13eee482f2eac))
* Exemplary count and badge are now hidden again. ([more](https://gitlab.com/tildes/tildes/commit/6dbaf6a9721ea88ff6ee4c5fdf33a6fb0d87930e))
* You can now sort the comments and topics on your profile. ([more](https://tild.es/cv4))
